//
//  InspectorViewAnchorController.h
//  GlyphsLayerPluginOutline
//
//  Created by Georg Seifert on 08.02.09.
//  Copyright 2009 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GSInspectorViewController.h"

@interface InspectorViewGuideLineController : GSInspectorViewController {
//	NSButton* __unsafe_unretained _alignmentButton;
	NSMatrix* __unsafe_unretained _alignmentMatrix;
	NSTextField* __unsafe_unretained _xField;
	NSTextField* __unsafe_unretained _yField;
	NSTextField* __unsafe_unretained _angleField;
	NSButton* __unsafe_unretained _measurementCheckBox;
	NSImage* _leftAlignImage;
	NSImage* _rightAlignImage;
	NSImage* _centerAlignImage;
}
//@property (nonatomic, unsafe_unretained) IBOutlet NSButton *alignmentButton;
@property (nonatomic, assign) IBOutlet NSMatrix *alignmentMatrix;
@property (nonatomic, unsafe_unretained) IBOutlet NSTextField *angleField;
@property (nonatomic, unsafe_unretained) IBOutlet NSButton *measurementCheckBox;

- (IBAction)setXorigin:(id)sender;

- (IBAction)setYorigin:(id)sender;

- (IBAction)setAngle:(id)sender;

- (IBAction)setAlignment:(id)sender;

- (IBAction)setMeasurement:(id)sender;
@end
